Bug 980658 - As a sysadmin I want uploaded files to be stored outside the database so that database performance is not negatively impacted
Summary: As a sysadmin I want uploaded files to be stored outside the database so that...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Persistence
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: David Mason
QA Contact: Damian Jansen
URL:
Whiteboard:
Depends On:
Blocks: 901401
TreeView+ depends on / blocked
 
Reported: 2013-07-03 00:50 UTC by David Mason
Modified: 2013-11-27 03:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 03:31:38 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 989274 0 unspecified CLOSED RFE: As a sysadmin I want file upload parts to be stored outside the database so that database performance is not negati... 2021-02-22 00:41:40 UTC

Internal Links: 989274

Description David Mason 2013-07-03 00:50:10 UTC
Description of problem:
Zanata currently stores uploaded files (for any type except .po, .pot, .properties, .xliff) in the main database as blobs. This bloats the database and can affect performance and greatly increase backup time. The file system or a separate document-based database would be more appropriate document file storage locations.

Actual results:
Uploaded plain-text, LibreOffice and InDesign documents are stored in the main Zanata database.

Expected results:
Uploaded plain-text, LibreOffice and InDesign documents are stored on the file system.

Comment 1 David Mason 2013-07-26 05:55:52 UTC
Moved storage for raw documents to file system in configured location.

For config, see https://github.com/zanata/zanata-server/wiki/3.1-Database-Update

Note: for multiple-part uploads, parts are still stored in the database and are removed when the upload is complete. This should be migrated to the file system separately.

Comment 2 David Mason 2013-08-06 23:12:29 UTC
(In reply to David Mason from comment #1)
> For config, see
> https://github.com/zanata/zanata-server/wiki/3.1-Database-Update

This page is obsolete. Instead, find information on config at https://github.com/zanata/zanata-server/wiki/Document-Storage-Directory

Comment 3 Damian Jansen 2013-08-07 06:20:44 UTC
Verified at 5bf0f1eadda3c43c780c06cdbdb9746bae49215d

Comment 4 Sean Flanigan 2013-11-27 03:31:38 UTC
Closing VERIFIED bugs which predate Zanata 3.1.2.


Note You need to log in before you can comment on or make changes to this bug.